.\" Manual page for the Column Header Creation Utility
.\"
.\" 11 Dec 1998, acr: creation
.\"
.TH ADDCOLHDR L "11 DEC 1998"
.SH NAME
addcolhdr \- add a header to ASCII TABLE file containing numeric column
labels
.SH SYNOPSIS
.B addcolhdr
.RB "[\| " \-n " \|] [\| " \-f " \|] [\| " \-o 
.RB " \|] " 
.RI " [\| " input_label " [\| " output_label " \|] \|]"
.SH DESCRIPTION
.LP
.B addcolhdr
takes an input PDS label describing an ASCII TABLE file, modifies the data
file to include header records at the top of the data listing the column
numbers for each defined COLUMN, and adds a HEADER object to the label file
to describe the new records.
Options allow the user to sepcify whether the output label lines should 
be forced to be fixed at 80 bytes wide with CRLF carriage\-control; to
indicate that the COLUMN_NUMBER keywords should be inserted or updated
as well; and to overwrite the input files.
.LP
Standard I/O is used for the labels unless otherwise indicated (by the \-o
option) or explicit filenames are given.
The output data file will have the same name as the original data file with
an additional extension of ".NEW", unless the \-o option is used.  Note 
that the file names in the new label file will still point to the 
.I old
data file name, since it is assumed that the user will verify the labelling
process and then replace the old file with the new labelled data.
.LP
This routine assumes syntactically valid input.
.\"==============
.SH OPTIONS
.TP
.B \-n
Add or update COLUMN_NUMBERs.  All COLUMN_NUMBER keywords are assigned (or
re\-assigned) sequentially in order of definition, regardless of existing
COLUMN_NUMBER keywords or values.  Use this option if no COLUMN_NUMBERs
have been included, the column definitions have become jumbled, or new
columns have been inserted into the TABLE object.
.TP
.B \-f
Finish the label file records.  This option forces the output label lines
to be padded to 80 bytes and terminated by CR/LF.  When this option is 
omitted the label retains its initial format, as determined by the program
from reading the first line.  So, if the first line has CR/LF carriage\-control,
all outpout lines will.  If the first line is 80 bytes long with CR/LF
terminators, then all output lines will be (regardless of whether this option
is included).  If the first line is less than 80 bytes or is not CR/LF
terminated, the remaining lines will
.I not
be padded, although all lines will have the same terminators.
.TP
.B \-o
Overwrite the input files.  This option indicates that the new label file
should overwrite the input label, and the new datafile should overwrite
the original.  This option will override an explicit output file name.
