.\" Manual page for the 'addquotes' utility
.\"
.\" 08 July 2003, A.C.Raugh
.\"
.TH ADDQUOTES L "09 July 2003"
.SH NAME
addquotes \- Force quotes around unquoted value strings in PDS ODL files,
preserving line width if possible.
.SH SYNOPSIS
.B addquotes
.RB "[\| " <input_file> " [\| " <output_file> " \|] \|] " 
.\"=============
.SH DESCRIPTION
.LP
.B addquotes
seeks out string values of ODL keywords that are not in quotes
and puts them in quotes. 
It assumes the ODL is otherwise valid, which means that
.B addquotes
can identify strings that should be quoted by their position and syntax.
.B Addquotes
will put double quotes around any value (on the left side of an "=")
that begins with an uppercase letter and contains nothing by uppercase
letters, numbers and the underscore character.
.LP
There are three exceptions: strings that are the values of OBJECT/END_OBJECT,
GROUP/END_GROUP or the PDS_VERION_ID keywords are NOT quoted.
.LP
Standard I/O is used for file names not provided. If the input file name is
the same as the output file name, the input file will be overwritten without
warning.
.\"=============
.SH NOTE
.LP
.B addquotes
will not attempt to add quotes to values inside parenthese or braces, or
values that appear on a different line from their keyword.
For more extensive automatic format editing, see
.B ppodl.
