.\" Manual page for the DATA_SET_ID changer
.\"
.\" 03 April 2006, Munghee Kim  (ACR, man page)
.\"
.TH CHANGE_DSID L "03 Apr 2006"
.SH NAME
change_dsid \- replace DATA_SET_ID values
.SH SYNOPSIS
.B change_dsid
.RB " [\| " \-a " \|] [\| " \-n " \|] [\| " \-r
.I root_dir
.RB " \|] [\| " old_DSID " \|] "  new_DSID
.SH DESCRIPTION
.LP
.B change_dsid
searches all PDS label and catalog files for lines of the form:
.LP
DATA_SET_ID = <DSID>
.LP
and replaces the existing value string with the 
.I new_DSID
string.
Old files are overwritten and line lengths are preserved wherever possible.
By default,
.B new_dsid
only processes files with extensions of ".lbl", ".LBL", ".cat" or ".CAT",
and replaces every DATA_SET_ID value string with the input string.
The user may specify the
.I \-a
option to have
.B new_dsid
check every file for an attached label, and may supply a specific DATA_SET_ID 
to be replaced.
.\"---------------------------------------------------------------------------
.SH OPTIONS
.TP
.B \-a
Check all files found for attached PDS labels.  An attached PDS label is 
identified by the first non-blank, non-comment line containing the 
PDS_VERSION_ID keyword.  Default is to check only *.lbl and *.cat files.
.TP
.B \-n
Do not recurse into subdirectories.  Default is to recurse.
.TP
.BI \-r " root_dir"
Start processing in the given directory.  Default is to work on ".".
.\"
.SH USAGE NOTES
.LP
This program works only on directories, not individual files or lists of 
files.
.LP
Warnings and errors are printed to STDOUT.
.LP
.B Change_dsid
cannot handle multi-valued DATA_SET_ID keywords, as may occur in document
and calibration subdirectories.  When multi-valued DATA_SET_ID keywords
are encountered,
.B change_dsid
prints a warning but otherwise ignores the file.
.LP
DATA_SET_ID values in text descriptions will not be changed.
.LP
If 
.B change_dsid
cannot preserve the original line length in a detached label, a warning will 
be sent to STDOUT.  If the line length of an attached label cannot be preserved,
a failure message will be sent to STDOUT and the original file will not be 
changed.
