.\" Manual page for the PDS Name/ID cross-checker
.\"
.\" 20 January 1999, a.c.raugh
.\"
.\" 26 Jan 1999, acr: re-write to save memory
.\"
.TH CHECKIDS L "26 January 1999"
.SH NAME
checkids \- cross-check key _NAME and _ID fields of PDS label and catalog files
.SH SYNOPSIS
.B checkids
.RB "[\|" \-a "\|] [\|" \-c
.I <catalog_directory>
.RB "\|] [\|" \-o
.I <output_file>
.RB "\|] [\|" \-v "\|] [\| " "directory" " \|]"
.SH DESCRIPTION
.LP
.B checkids
reads through PDS catalog and label files in the given directory and its
subdirectories and attempts to resolve all references to PDS catalog
objects.
.LP
First the catalog directory is read and a list is made of the identification
fields for each main catalog object (DATA_SET, DATA_SET_COLLECTION, INSTRUMENT,
INSTRUMENT_HOST, MISSION, TARGET and REFERENCE) found.
The catalog files must have an extension of *.cat (or *.CAT).  By default, all
catalog object files are assumed to be in a "catalog" or "CATALOG" subdirectory
under the directory specified on the command line.  The user may also specify
additional directories via the 
.I \-c
option.
.LP
After collecting the list of catalog objects, 
.B checkids
begins recursively reading through the given directory structure looking for
all catalog and label files.  In each case the file is 
searched for keywords, such as DATA_SET_ID or TARGET_NAME, which refer to
a catalog object.  If no such catalog object was previously recorded,
.B checkids
reports an error.
By default
.B checkids
only examines files with the explicit file extensions ".lbl" (or ".LBL")
and ".cat" (or ".CAT"), but the user may specify that all files are examined
for PDS headers by using the "\-a" option.
PDS labels are identified by having the PDS_VERSION_ID keyword as the first
keyword in the file (after blank lines and comment lines).
.LP
After finishing the search for labels,
.B checkids
checks to see if any of the catalog objects which were defined were never
referenced.  If so, it also prints a list of these unreferenced objects.
.LP
Output is to stdout unless the user provides an output file via the "\-o" 
option.
If no directory root is specified, the current working directory is used.
.B checkids
always descends recursively through subdirectories, but does not follow 
soft links.
.\"---------------------------------------------------------------------------
.SH OPTIONS
.TP
.BI \-a
Open all files and look for a PDS attached label.  PDS attached labels are
identified by having the PDS_VERSION_ID keyword in the first non-blank,
non-comment line of the file.
.TP
.BI \-c " catalog_directory"
Indicates that 
.B checkids
should also look in the given directory for catalog files.  The directory 
specification should be relative to the current working directory.  More than
one directory name can be specified by separating the entries with a comma
(no blanks).  Catalog directories may have subdirectories.  These will also 
be searched for catalog files.
By default all catalog files are assumed to reside in the "catalog/" or
"CATALOG/" subdirectory of the directory given in the command line.
.TP
.BI \-o " output_file"
Direct the output to the named file.  Output goes to stdout by default.
.TP
.BI \-v
Verbose mode: prints a running commentary on which directory or file is
currently being processed.  This information is output to 
.I stderr.
