.\" Manual page for the 'checkpdstext' routine
.\"
.\" 20 Apr 1999, acr: Creation
.\"
.TH CHECKPDSTEXT L "20 Apr 1999"
.SH NAME
checkpdstext \- check PDS-formatted text files for invalid characters
.SH SYNOPSIS
.B checkpdstext
.RB "[\| " \-l " \|] [\| " \-v
.RB "\|] [\| " input-file " \|]"
.\"------------------ 
.SH DESCRIPTION
.LP
.B checkpdstext
checks a text file intended for PDS archiving to make sure it a) has no 
invalid characters; b) has fixed-length records; and c) has CR/LF carriage
control.
Each line failing to pass any of these tests is individually flagged for 
each violation on output.
The user may lift the last two restrictions by using the
.B \-v
and
.B \-l
options.
Output is to stdout.
If no input file name is given, input is read from stdin.
.\"------------------
.SH OPTIONS
.TP
.B \-l
Check for linefeed-only record delimiters.  In this case, CR/LF delimiters
will be flagged as errors.
.TP
.B \-v
Allow variable length records.  When this option is specified variable record 
lengths will not be flagged as an error.
.\"------------------
.SH NOTES
.LP
Records are checked for variable length by comparing the length of the first
record against all subsequent records.  Any which have different lengths than
the first are flagged as being wrong.  This could be very annoying if it's 
actually just the first record that's off.
.LP
Valid characters for PDS text files are all printing 7-bit ASCII characters,
plus the space character (octal code \040) and the carriage return (\015) and 
linefeed (\012)
characters when used as record delimiters (the carriage return MUST be used
in conjunction with the linefeed - any other use is invalid).
Apart from delimiters, the valid (octal) code ranges are \040 to \176.
