.\" Manual page for the 'detachpds' routine
.\"
.\" 25 October 2001, A.C.Raugh
.\" 09 Nov 2001, acr: Added '-s' option
.\"
.TH DETACHPDS L "09 Nov 2001"
.SH NAME
detachpds \- separate a PDS file with attached label into a detached label 
and data file.
.SH SYNOPSIS
.B detachpds
.RB "[\| " \-s " \|] "
.RB "[\| " \-d " | " \-l " \|] "
.I "<PDSfile list\>"
.\"------------------
.SH DESCRIPTION
.LP
.B detachpds
takes an input file with an attached PDS label and write the label and
data into separate files.
By default the object pointer fields in the detached label are
updated to point to 
the now\-detached data file,
but the user may specify that the label be left unaltered using the
.B \-s
option.
.LP
This program assumes a valid PDS file.
The output files have the same name as the input files with an extension
of ".lll" for the label file and ".ddd" for the data file (to avoid 
overwriting any existing files).
The user may specify that either the label file or the data file be 
omitted from output.
Any non-PDS files in the input list are ignored.
.\"------------------
.SH OPTIONS
.TP
.B \-d
Do not produce a data file.
.TP
.B \-l
Do not produce a label file.
.TP
.B \-s
Split the label and data into separate files, but do not update label
pointers. In this case the label 
.I cannot
be used as a detached label for the data file.
.\"------------------
.SH NOTES
.LP
.B detachpds
assumes the input label is valid and does no syntax checking.
.LP
All data pointer offsets must be in the same unit \- either records or
bytes (indicated by the "<BYTES>" tag). 
Mixed pointer units will produce unpredictable results.
.LP
A PDS file is identified by the "PDS_VERSION_ID" keyword in the first
non-blank, non-comment line in the file.
Any non-PDS files in the input list are ignored.
.\"------------------
.SH INSTALLATION NOTES
.LP
.B detachpds
is contained in a single Perl script file and requires the "getopts.pl"
standard include file to parse the command line options.
To run it locally, the first line must be modified to contain the path to the 
local Perl interpretor.
