.\" Manual page for the PDS Directory Tree Object Generator
.\"
.\" 31 July 1995, a.c.raugh
.\"
.TH DSTREE L "31 July 1995"
.SH NAME
dstree \- Create PDS OBJECTs to describe the datasets in a directory tree
.SH SYNOPSIS
.B dstree
.RB "[\| " \-o
.I <output file>
.RB " \|] [\| " \-c
.I <tar command file>
.RB " \|] [\| " \-a " \|] [\| "
.I <root directory>
.RB " \|] "
.SH DESCRIPTION
.LP
.B dstree
generates the OBJECT definitions needed to describe the directories, 
subdirectories and dataset files in the given root directory.
The OBJECT definitions produced are suitable for inclusion in a VOLUME
object.  
.LP
The 
.B \-c
option allows the user to specify the name of a command file to be created
which will contain the sequence of 
.B tar
commands needed to generate an archive file with the datasets in the same 
order as specified in the OBJECT description, as required by PDS.
The 
.B \-a 
option will cause the program to fill in file attribute keywords by actually
reading text files or by trying to retrieve the information from the 
corresponding labels of binary files.
Without this option, the OBJECT definitions created will contain no values
for the FILE_RECORDS, RECORD_TYPE and RECORD_BYTES keywords.
.LP
Output is directed to 
.B stdout
unless an alternative is specified with the 
.B \-o
option.
The command file generated by the 
.B \-c
option will create a tar file named "volume.tar".
.B dstree
always descends recursively through all subdirectories, but will not follow
soft links.
.\"---------------------------------------------------------------------------
.SH OPTIONS
.TP
.B \-a
Check attributes.
When this option is used, 
.B dstree
opens all text files and reads them to determine the maximum and minimum record
size and the total number of records.
If the maximum and minimum sizes are equal, the RECORD_TYPE is indicated
as "FIXED_LENGTH"; otherwise, it is called "STREAM".
The RECORD_BYTES keyword will be set equal to the maximum record size in all 
cases.
The total number of records will be written as FILE_RECORDS.
.LP
When this option is omitted, the above keywords are still included, but their
values are left blank.
.TP
.BI \-c " tar_command_file"
Create a command file containing the tar commands necessary to store the 
files in an archive in the same order in which they are named in the OBJECT
listing.  This is the ordering required by PDS for delivery tapes.
.TP
.BI \-o " output_file"
Direct the output OBJECT definitions to the named file.  Output goes to stdout 
by default.
Note that this output file will be included in the listing if it resides in
the directory tree being searched.
.\"---------------------------------------------------------------------------
.SH NOTES
.LP
Note that if any of the output files are in the directory tree listed, they
will be included in the output OBJECT definitions.  This will most likely
not be what you want; but the offending additional entry cannot be simply
deleted because of the SEQUENCE_NUMBER keywords, whose values must be in
strictly sequential, ascending order.
.LP
.B dstree
will create an OBJECT definition for 
.I every
non-hidden file and subdirectory in
the tree, regardless of name or extension.  For best results, remove
all trash first.
.LP
If the
.B \-a
option is specified but 
.B dstree
is unable to determine the file parameters, the parameter keywords will
still be created, but will be left blank for the data preparer to fill
in later.
