.\" Manual page for the 'fixdt' routine
.\"
.\" 20 Mar 1996, a.c.raugh.
.\" 01 May 1996, acr: fixed bug detecting INTERCHANGE_FORMAT and added 
.\"                   binary TABLE support
.\"
.TH FIXDT L "01 May 1996"
.SH NAME
fixdt \- fix DATA_TYPE values in PDS labels describing TABLE data files to
conform to current standards
.SH SYNOPSIS
.B fixdt
.RB "[\| " <input file> " [\| " <output_file> " \|] \|]"
.\"------------------ 
.SH DESCRIPTION
.LP
.B fixdt
fixes up the DATA_TYPE values in a PDS Label describing data in a TABLE object, with an INTERCHANGE_FORMAT of either ASCII or BINARY.  
It looks for numeric data types (COMPLEX,
REAL, FLOAT and INTEGER) and appends the ASCII_ prefix for ASCII data, or the 
appropriate prefix for the SBN node for binary data (IEEE_ for floating-point,
MSB_ for integer), if it is not already present.
It will attempt to do this without changing the record size, if there is
sufficient blank space following the existing DATA_TYPE to absorb the
extra characters.  Otherwise, the record size with increase by the number
of bytes in the prefix bytes.
.LP
If file names are not provided, input/output is through the standard
input/output.
Therefore, this routine can be used as part of a pipe.
