.\" Manual page for the 'fmt_allrefs' routine
.\"
.\" 30 Apr 2003, acr
.\"
.\"=============
.TH FMT_ALLREFS L "30 April 2003"
.SH NAME
fmt_allrefs \- format the 'allrefs.out' file into a reference catalog file
.\"=============
.SH SYNOPSIS
.LP
.B fmt_allrefs
.RB "[\| " \-o 
.I output_file
.RI " \|] [\| " input_file " \|]"
.\"=============
.SH DESCRIPTION
.LP
.B fmt_allrefs
takes the 'allrefs.out' file, generated by a database dump at PDS Central
Node, and formats the entries into individual REFERENCE objects.
If no output file name is specified, output is directed to a file called 
"allrefs.cat" in the current working directory.  If no input file is
supplied, "allrefs.out" in the current directory is used.
A count of the number of references processed is displayed as the 
program exits.
.LP
The output file will contain PDS_VERSION_ID, LABEL_REVISION_NOTE
and END statements, but will
not be blank-padded or have CR characters.
The references are NOT sorted on output.
.\"=============
.SH OPTIONS
.TP
.BR \-o output_file
Directs the output to the named file. If this option is omitted, output 
is directed to a file called "allrefs.cat".
