.\" Manual page for the 'gather_ref' routine
.\"
.\" 13 Feb 2004, acr
.\"
.\"=============
.TH FMT_ALLREFS L "13 February 2004"
.SH NAME
gather_ref \- extract references from 'allrefs.cat' corresponding to an
input list of REFERENCE_KEY_ID values
.\"=============
.SH SYNOPSIS
.LP
.B gather_ref
.RB "[\| " \-a
.IR master_file " \|] "
.RI "[\| " input_file " [\| " output_file " \|] \|] "
.\"=============
.SH DESCRIPTION
.LP
.B gather_ref
takes an input list of REFERENCE_KEY_ID values and retrieved the 
corresponding full reference objects from the 'allrefs.cat' file.
Each input line may contain one or more reference IDs, separated
by commas (IDs with imbedded commas must be quoted), and may 
begin with a REFERENCE_KEY_ID keyword.  Any syntactically valid
line from a PDS file should work as input.
.LP
Output is to the specified file, or stdout if none is given.  The
output is not padded or trimmed, but is sorted (by the 
.B sortref
routine) in ID order.
.LP
An ID value of "N/A" is ignored.  Any IDs not matched are printed in
the output as blank REFERENCE object templates.  A list of unmatched
IDs is sent to stderr.
.\"=============
.SH OPTIONS
.TP
.BR \-a " master_file"
This option allows the user to extract REFERENCE objects from the named
master_file, rather than the default.
.\"=============
.SH FILES
.LP
.B /n/sbnops01/lcltools/doc/allrefs.cat
.LP
This is the default master reference file.  It is updated concurrently
with the pdsdd.full file.

