.\" Manual page for the PDS Label TARGET_NAME List Generator (gettargets)
.\"
.\" 15 Mar 2002, A.C.Raugh
.\" 18 Jan 2003, A.C.Raugh: Modified output format
.\"
.TH GETTARGETS L "18 January 2003"
.SH NAME
gettargets \- TARGET_NAME list generator for PDS-labelled files sets
.SH SYNOPSIS
.B gettargets
.RB "[\| " \-a " \|] [\| " \-o
.I <output file>
.RB " \|] [\| " \-r " \|] [\| " file_list " \|] "
.SH DESCRIPTION
.LP
.B gettargets
searches through PDS label files (attached or detached) and collects a
list of unique TARGET_NAME values mentioned. The output is formatted
as a single DATA_SET_TARGET object for inclusion in a data set 
catalog file.
.LP
Output can be redirected from STDOUT to a file. The input list may
consist of both file names and directories, but directories are only 
searched recursively if the
.B \-r
option is specified.
If no file names are provided on the command line, the current working 
directory is searched.
.\"---------------------------------------------------------------------------
.SH OPTIONS
.TP
.BI \-a
Check all files for attached labels. The default is to check only detached PDS
label files, which have an extension of ".lbl" (or ".LBL").
.TP
.BI \-o " output_file"
Direct the output to the named file.  Output goes to STDOUT by default.
.TP
.BI \-r
Recurse down through subdirectories. Default is not to recurse. That is,
if a directory is named on the command line, only the top-level contents
of that directory will be checked unless the \-r option is specified.
