.\" Manual page for the 'grepdd' routine
.\"
.\" 15 May 2003, A.C.Raugh
.\"
.TH GREPDD L "15 MAY 2003"
.SH NAME
grepdd \- match input patterns against the DESCRIPTION fields in the 
PDS data dictionary
.SH SYNOPSIS
.B grepdd
.RB " [\| " \-a " \|] [\| " \-i " \|] {\| " \-d
.IR dictionary " \|] "
.B pattern
.RB " [\| " pattern " [\| " "..." " \|] \|] "
.\"------------------
.SH DESCRIPTION
.LP
.B grepdd
Takes the input pattern(s) provided by the user and matches them against
the text contained in the DESCRIPTION fields of an ODL data dictionary.
By default it make a case-sensitive comparison against the configured
'pdsdd.full' file and returns an element or object that contains any
one of the patterns somewhere in its DESCRIPTION text.
Options are provided to allow the user to specify a case-insensitive
search, ANDing of patten matches and an alternate dictionary file.
.\"------------------
.SH OPTIONS
.TP
.B \-a
Return only those elements and object that match all input patterns.
Default is to return those that match any one or more of them.
.TP
.B \-i
Ignore case in matching. Default is to respect input case.
.TP
.BI \-d dictionary
Supplies the complete path to a dictionary file to be searched.  
Default is to search the file defined as "PDSDD" in the code.
When an alternate file is selected, the default file is ignored.
The alternate file must be in the same format as the standard
pdsdd.full file.
.\"------------------
.SH FILES
.PD 0
.TP 30
.B /n/sbnops01/lcltools/doc/pdsdd.full
the ASCII version of the PDS Data Dictionary
