.TH make_lcldd 1 2004.06.25 PDS PDS
.SH NAME
make_lcldd \- make a local data dictionary
.SH SYNOPSIS
.B make_lcldd
[\-i] [\-o
.I target
] [\-d 
.I pdsdd
]
.I elements
.SH DESCRIPTION
Create a local data dictionary from an optional pds data dictionary
.I pdsdd
and any number of additional element definitions in
.IR elements .
If
.I pdsdd
is given its contents will be used to begin the local data dictionary.
Otherwise, the local data dictionary will only contain the element definitions
given in the
.I elements
files.
If
.I target
is given the local data dictionary will be writen there. Otherwise, the local
data dictionary will be printed to the standard output.
.SH OPTIONS
.TP 3
-i
.br
Generate an index file.
.TP
-o
.I target
.br
Specify the output filename.
.TP
-d
.I pdsdd
.br
Specify the source pdsdd filename.
.SH EXAMPLES
.B make_lcldd
\-o lcldd.full -d pdsdd.full.r44 elements/*

    This will create a local data dictionary in lcldd.full with the contents of
pdsdd.full.r44 and formatted element definitions from the 'elements' directory. 

.B make_lcldd
\-i \-o lcldd.full -d pdsdd.full.r44 elements/*

This does everything in the previous example, and it will also call make_index 
on lcldd.full, which will generate an index file named lcldd.idx.

.SH AUTHOR
Andrew Ducore (aducore (at) astro.umd.edu)
.SH SEE ALSO
make_index(1)