.\" Manual page for the Local Data Dictionary utility, mklcldd
.\"
.\" 30 Sep 1996, acr: creation
.\" 13 May 1997, acr: corrected typo; added standard values to new definitions
.\"
.TH MKLCLDD L "13 MAY 1997"
.SH NAME
mklcldd \- make a local data dictionary for a set of PDS files.
.SH SYNOPSIS
.B mklcldd
.RB "[\| " \-c " \|] [\| " \-r " \|] [\| " \-d 
.I master dictionary
.RB " \|] [\| " \-l
.I listing file
.RB " \|] [\| " \-o 
.I output dictionary
.B " \|]"
.I directory
.SH DESCRIPTION
.LP
.B mklcldd
reads through ODL files (catalog and label files with extensions '.cat' 
and '.lbl', respectively) in the given directory and compiles a list of all
the object and keywords encountered in the files, then extracts their 
definitions from the current master copy of the Planetary Science Data 
Dictionary to produce a local snapshot of the dictionary as referenced
by the input files.  Objects and keywords not found in the main dictionary
are included in the output dictionary with blank templates to be filled in 
later.  New standard values for existing keywords are included in the
new dictionary; standard values are collected and included for new keywords
as well.
All new entries are flagged by a comment in the output file.
The program will also, on request, produce a list of new objects, keywords,
and standard values encountered.
.LP
The default location for the main data dictionary is coded into the program,
but may be overridden using the \-d option.
Other options allow the user to specify that the routine should: recurse down 
through subdirectories; check non-.lbl and .cat files for attached PDS labels;
and redirect the output from stdout to a file.
.LP
The user may run the PDS utility 
.B make_index
on the output file from this program to produce a local dictionary and index 
suitable for use with other PDS tools such as
.BR lvtool .
.\"==============
.SH OPTIONS
.TP
.B \-c
Check for attached labels.  When this option is given, the program checks
all non-directory files without extensions of ".cat" and ".lbl" to see if 
they might begin with PDS labels.  In order to be recognized as a PDS label,
the first line of the file must contain one of the strings "SFDU" or 
"PDS_VERSION_ID".  If neither is found, the file is not included in the 
dictionary check.
.TP
.B \-r
Recurse down through subdirectories.
.TP
.BI \-d " dictionary"
The main data dictionary and its index file must be available to the program.
The default dictionary is hard-coded into the routine, but it may be
overridden using this option. "Dictionary" should be the path and file name,
.B WITHOUT EXTENSION,
of the dictionary and index.  Note that the dictionary and index must have 
identical file names, with extensions of ".full" and ".idx", respectively.
.TP
.BI \-l " listing file"
This option specifies that 
.B mklcldd
should generate a list of all new objects, elements, and standard values
encountered during processing, and provides a name for the resulting output
file.
.TP
.BI \-o " new dictionary"
This option specifies that the output should be directed to the named file.
The default is to send the new dictionary listing to stdout.
.\"==============
.SH FILES
.TP
.B /n/sbnops01/lcltools/doc/pdsdd.full, /n/sbnops01/lcltools/doc/pdsdd.idx
The default dictionary file and index.  The default filenames 
are hard-coded into the routine and need not be specified.
