.\" Manual page for the 'nullval' routine
.\"
.\" 11 Apr 1995, a.c.raugh.
.\"
.TH NULLVAL L "11 April 1995"
.SH NAME
nullval \- replace blank fields with null values in an ASCII table
.SH SYNOPSIS
.B nullval
.RB "[\| " \-o "<output file> \|] "
.B "<input file>  <start byte> <null value>"
.RB "[\| [\| " "<start byte>  <null value> " \|] " ... " \|] "
.\"------------------ 
.SH DESCRIPTION
.LP
.B nullval
replaces an all-blank field in a specified column with the given null value.
The null value should be enclosed in double quotes if it contains blanks itself
or any characters which might cause the shell to choke.
.LP
.B nullval
reads each record of an ASCII file, goes to each location indicated by 
the <start byte> arguments, and checks for a string of blanks as long as the
corresponding <null value>.
If no non-blank characters are found, the <null value> is copied into that
section of the record, otherwise it remains unchanged.
The null value may have leading, trailing, or imbedded blanks itself if 
it is enclosed within quotes on the command line.
Records need not be all the same length, but
.B nullval
will not write past the end of the original record length.
.LP
Note that the start byte is 1-based (as in PDS labels); i.e., the first byte
is byte 1.
.\"------------------
.SH OPTIONS
.TP
.BR \-o " <output file>"
Redirect the output to the named file.  By default the output goes to stdout.
.\"------------------
.SH EXAMPLES
.sk
.sk
.LP
nullval pole.tab 19 -99 23 " --- "
.LP
For each record in pole.tab, if three blanks are found beginning at the 19th
byte, they are replaced by the string "-99".  Similarly, if 5 blanks are 
found starting at the 23rd byte, they are replaced by " --- ".  The blanks 
are included in the replacement, but the quotes are not.  Output is to stdout.
.sk
.LP
nullval -o newpole.tab pole.tab 19 -99 23 " --- "
.LP
This does the same as the previous command, except that the output is directed
to the file "newpole.tab".
