.\" Manual page for the 'pdsdef' routine
.\"
.\" 29 Apr 1993, a.c.raugh.
.\" 06 Jan 2003, ACR - changed to Perl script
.\" 20 Nov 2009, ACR - added "-d" option
.\"
.TH PDSDEF L "20 NOVEMBER 2009"
.SH NAME
pdsdef \- search the PDS Data Dictionary for elements, objects and 
definitions
.SH SYNOPSIS
.B pdsdef 
.RB " [\| " \-m " \|] [\| " \-d 
.I dd_name.full 
.RB "\|] " <name_string>
.\"------------------
.SH DESCRIPTION
.LP
.B pdsdef 
searches the NAME fields in the data dictionary file for 
elements and objects that match the input string. 
It accesses only the pdsdd.full
file, not the corresponding index file. The string to be matched
is forced to uppercase before the search is done. Output is piped 
through 'more'.
.LP
.B pdsdef
operates in two modes, depending on whether the \-m option is given.
When \-m is present, 
.B pdsdef 
searches all NAME fields in the dictionary file looking for any that
contain the input string.
Any NAME which contains the entire input string anywhere within it 
is returned, along with the type (ELEMENT, GENERIC_OBJECT or 
SPECIFIC OBJECT).
.LP
Without the \-m option, 
.B pdsdef
searches the dictionary for a NAME field which exactly matches the
input string.  If found, the entire definition of the element or 
object is displayed on the standard output device.
.\"------------------
.SH OPTIONS
.TP
.B \-m
Return a list of all elements and objects that contain the input
string anywhere in their names.
Default is to look for an exact name match and display the entire 
definition.
.TP
.BI \-d " dd_name.full "
Search the dictionary file "dd_name.full" rather than the default
data dictionary.  This file must be in the same format as the 
.B pdsdd.full
file.  Path information may be included for the alternate 
dictionary file.
.\"------------------
.SH FILES
.PD 0
.TP 
.B /n/sbnops01/lcltools/doc/pdsdd.full
the default ASCII version of the PDS Data Dictionary
