.\" Manual page for the PDS HTML Link Checker Utility
.\"
.\" 18 Jun 2001, A.C.R: Creation
.\" 15 Jan 2001, acr: Renamed to 'pdslinkchk'
.\"
.TH PDSLINKCHK L "15 January 2002"
.SH NAME
pdslinkchk \- PDS HTML link checker
.SH SYNOPSIS
.B pdslinkchk
.RB "[\| " \-r " \|] [\| " \-v 
.RB " \|] [\| " \-o 
.I log_file
.RB " \|] [\| " "file ..." " \|]
.SH DESCRIPTION
.LP
.B pdslinkchk
is a quick and dirty link checker for HTML files being submitted for archiving
as a PDS BROWSE object.
Such files are not allowed to have external links, absolute links (which 
require assumptions about the server environment), or links to non-existent
files.
This routine searches through the files indicated, optionally recursing 
through subdirectories, and produces a log file listing all problematic
references encountered in HREF value fields.
If no file or directory names are given, the current working directory is
searched.
.LP
File names given explicitly on the command line need not end in an HTML
suffix.
However, when searching directories only files with extensions of
".html", ".htm", and ".shtml" (or the uppercase equivalents) are 
checked.
.SH OPTIONS
.TP
.B \-r
Recurse through subdirectories
.TP
.B \-v
Verbose mode. Normally,
.B pdslinkchk
only prints a banner for a file if it contains a problematic link. 
In verbose mode a banner is printed for each directory and a line is
displayed for each file checked.
.TP
.BI \-o " log_file"
Use this option to direct the output to a file.  
The default is to send the output to stdout. 
Any error messages from the program itself are directed to stderr.
