.\" Manual page for the 'rmcolumn' routine
.\"
.\" 26 Oct 1998, a.c.raugh.
.\"
.TH RMCOLUMN L "26 October 1998"
.SH NAME
rmcolumn \- remove a COLUMN definition from a PDS ASCII TABLE label; optionally
modify the datafile accordingly
.SH SYNOPSIS
.B rmcolumn
.RB "[\|" \-o "\|] [\|" \-d "\|] [\|" \-b
.I bytes
.RB "\|]" "COLUMN_NUMBER PDS_label"
.\"------------------
.SH DESCRIPTION
.LP
.B rmcolumn
removes a complete COLUMN definition from a PDS label file describing an
ASCII TABLE and modifies the remaining COLUMN definitions to reflect changes
in the START_BYTE and (optional) COLUMN_NUMBER keywords.
The user may optionally specify that the datafile also be adjusted to 
reflect the deleted column.
The input COLUMN_NUMBER is the sequential number of the COLUMN definition to
be removed.
.LP
The input label file must contain only a single ASCII TABLE object, which
may have an optional COLUMN_LABEL type HEADER preceding it.
.B rmcolumn
assumes that the label is well-formatted and well-behaved.
If the data file is to be modified, it must appear in the current working
directory.
Output is written to files with the same name as the input files, with an
added extension of ".RC", unless the user specifies overwriting of the input
files.
.\"------------------
.SH OPTIONS
.TP
.B \-o
Overwrite the input label file (and data file, if that is also being processed)
with the output from this routine.
The results are first written into a temporary file of the default name, then
renamed to the input file names.
The default is to leave the output in files with the same name as the input,
but with an additional extension of ".RC".
.TP
.B \-d
Delete the column from the input file as well.
When specified, this option indicates that 
.B rmcolumn
should read the data file (found from the "^TABLE" keyword) and delete the
bytes corresponding to the deleted column from each record in the file,
including any attached COLUMN_LABEL header.
Default action is to ignore the data file.
.TP
.BR \-b " bytes "
Use the given number of bytes as the column width, rather than that calculated
from the COLUMN definitions in the file.  The default width is the difference
between the START_BYTE of the given column and the START_BYTE of the next
column in the label, or the defined width of the column (from the BYTES
keyword) if it is the last COLUMN definition in the label.
.\"------------------
.SH INSTALLATION NOTES
.LP
.B rmcolumn
is contained in a single file as a Perl script.  To run it locally the first
line in the file must be edited to point to the local Perl interpretor.
