.\" Manual page for the SBN Quick Label Checker Directory Wrapper
.\"
.\" 27 March 1996, a.c.raugh
.\"
.TH SBNLBLCHK L "27 March 1996"
.SH NAME
sbnlblchk \- Quick checker for SBN PDS data file labels in a directory (tree)
.SH SYNOPSIS
.B sbnlblchk
.RB "[\| "  \-e  " | "  \-s  " | "  \-a  
.RB " \|] [\| "  \-r  " \|] " 
.IR "<label list>"
.SH DESCRIPTION
.LP
.B sbnlblchk
runs the
.B sbnlc
routine on more than one label, and can be directed to descend down through
subdirectories in search of more labels.
The
.B sbnlc
performs a check to make sure that all the keywords required in PDS
file labels are present in the given label, and that the INTERCHANGE_FORMAT
and DATA_TYPE keywords have valid values.  
Only DATA_TYPES used by the SBN under PDS_VERSION_ID PDS3/Standards
Version 3.2 are considered valid.
It does not attempt to validate other required
keyword values - it only looks to see that they are present.
The keywords looked for are those specified in the PDS Version 3.2 document
set, plus the 
.B PRODUCT_NAME
keyword which SBN requires in all its file labels.
.LP
Note that this routine requires at least one file name (or
directory name) as input.  All label
file names 
.I must
end with the ".lbl" extension.
.LP
Some keywords required for spacecraft data, for example, are not required in
ancillary files.  The optional switches are used to indicate that the file
should be considered ground-based, spacecraft-based or as ancillary data.
The default is spacecraft data, which constitutes a superset of all required
keywords among the three data file types.
At most one of these three switches may be specified.
.\"---------------------------------------------------------------------------
.SH OPTIONS
.TP
.B \-e
Consider this to be an Earth-based (ground-based) data set.  The program will
not flag as missing keywords which are only requried in spacecraft data (e.g.,
SPACECRAFT_CLOCK_START_COUNT).
.TP
.B \-s
The label should be treated as a spacecraft data file.  The required keywords 
for this type of data constitute a superset of all required keywords.  This is
the default.
.TP
.BI \-a 
Indicates the label describes ancillary data.  Ancillary data has the smallest
subset of required keywords.
.TP
.BI \-r
Descend recursively through subdirectories and process all ".lbl" files found.
.\"------------------------------
.SH NOTES
.LP
.B sbnlblchk
requires all labels to end with ".lbl" and will not work on data files with
attached labels.
To process single labels with arbitrary names and attached labels, see the
.B sbnlc
routine.
