.\" Manual page for the SBN Label Checker
.\"
.\" 21 November 1995, a.c.raugh
.\" 27 Mar 1996, acr: updated for new functionality
.\" 03 May 1996, acr: updated for RECORD_TYPE=STREAM change
.\"
.TH SBNLC L "03 May 1996"
.SH NAME
sbnlc \- Quick checker for SBN PDS data file labels
.SH SYNOPSIS
.B sbnlc
.RB "[\| " \-e "  | " \-s " | " \-a " "\|] [\| " 
.IR "<label>" " \|]"
.SH DESCRIPTION
.LP
.B sbnlc
performs a check to make sure that all the keywords required in PDS
file labels are present in the given label, and that the INTERCHANGE_FORMAT
and DATA_TYPE keywords have valid values.  
Only DATA_TYPES used by the SBN under PDS_VERSION_ID PDS3/Standards
Version 3.2 are considered valid.
It does not attempt to validate other required
keyword values - it only looks to see that they are present.
The keywords looked for are those specified in the PDS Version 3.2 document
set, plus the 
.B PRODUCT_NAME
keyword which SBN requires in all its file labels.
(Note that when the RECORD_TYPE keyword has a value of STREAM, no check is
made to see if the optional FILE_RECORDS and RECORD_BYTES keywords are present.)
.LP
Note that this routine works only on a single file.  If no file is given on the
command line,
.B sbnlc
reads from the standard input.
Some keywords required for spacecraft data, for example, are not required in
ancillary files.  The optional switches are used to indicate that the file
should be considered ground-based, spacecraft-based or as ancillary data.
The default is spacecraft data, which constitutes a superset of all required
keywords among the three data file types.
.LP
.B sbnlc
prints to the standard output a list of invalid DATA_TYPEs and any 
required keywords not found in the file.  An invalid
INTERCHANGE_FORMAT is also reported.
.\"---------------------------------------------------------------------------
.SH OPTIONS
.TP
.B \-e
Consider this to be an Earth-based (ground-based) data set.  The program will
not flag as missing keywords which are only required in spacecraft data (e.g.,
SPACECRAFT_CLOCK_START_COUNT).
.TP
.B \-s
The label should be treated as a spacecraft data file.  The required keywords 
for this type of data constitute a superset of all required keywords.  This is
the default.
.TP
.BI \-a 
Indicates the label describes ancillary data.  Ancillary data have the smallest
subset of required keywords.
.\"------------------------------
.SH NOTES
.LP
.B sbnlc 
works on only one label at a time.  The file need not have the
extension ".lbl"; this will work on a data file with an attached label.
.LP
To process all label files in a directory or directory tree, see the
.B sbnlblchk
routine.
