.\" Manual page for the  SBN Label Verifier (SBNLV)
.\"
.\" 22 Nov 1996, a.c.raugh
.\" 03 Apr 1997, acr: added clarification
.\"
.TH SBNLV L "03 April 1997"
.SH NAME
sbnlv \- PDS/SBN label verifier
.SH SYNOPSIS
.B sbnlv
.RB "[\| " \-d 
.I data_dictionary
.RB " \|] [\| " \-o 
.I output_file
.B " \|]"
.I ODL_file
.SH DESCRIPTION
.LP
.B sbnlv
verifies the syntax of a PDS ODL file (i.e., either a data label or a 
catalog file) by comparing the element values and object structures with 
the contents of the PDS data dictionary.  Users may specify a local copy of
the data dictionary using the
.B \-d
option.  Output is to 
.B stdout
unless otherwise indicated with the
.B \-o
option.
.LP
.I ODL_file
is the name of the PDS ODL file (either a data label or a catalog file) to
be verified.  Data labels may be either attached or detached.  Note that
this routine only checks the label against the data dictionary parameters;
it does not read the data to determine correctness of the data parameters
found in the label.  It will check element values against any contraints
(like maximum and minimum values) found in the dictionary for that element.
The default data dictionary is "/n/sbnops01/lcltools/doc/pdsdd.full".
.LP
.B NOTE:
this routine does not check label semantics.  That is, is does not check 
keyword values against PDS_VERSION_ID; it does not discriminate between old 
version and new version values when both remain in the dictionary (as for
DATA_TYPE).
.LP
Output from the program is a list of errors and potential problems (signalled
as warnings) found in the file with a line number indicating the point at which
the problem was detected.
.\"
.SH OPTIONS
.TP
.BI \-d " data_dictionary"
This option provides an alternate data dictionary to use for the parameter
check.  It must be the fully-qualified file name of the full dictionary 
file, and the corresponding index file must be in the same directory as
the full file with the same name and an extension of ".idx".
The default data dictionary is "/n/sbnops01/lcltools/doc/pdsdd.full".
.TP
.BI \-o " output_file"
Use this option to direct the report to a file.  The default is to send the
report to stdout.  
