.\" Manual page for the showrefkeys routine
.\"
.\" 16 May 2000, a.c.raugh
.\"
.TH SHOWREFKEYS L "16 May 2000"
.SH NAME
showrefkeys \- list REFERENCE_KEY_ID values found in PDS label and catalog files
.SH SYNOPSIS
.B showrefkeys
.RB "[\| " \-aclr " \|] [\| " "\-x <filename>"
.RB " \|] [\| " file/directory list... " \|]"
.SH DESCRIPTION
.LP
.B showrefkeys
reads through all PDS catalog and label files in the input list 
searching for REFERENCE_KEY_ID values. It then prints a sorted list
of all values encountered.
.LP
The command line may contain one or more files and directories; if no 
arguments are provided the current working directory (".") is searched. 
The user may specify that subdirectories be searched recursively.
Label and catalog files are recognized by their extensions (.lbl or 
.cat, respectively). The user may also specify that all files be checked
for attached PDS labels.
.LP
The output listing may include just the REFERENCE_KEY_ID values, the 
values plus a count of the number of times each was found, or a list of
the files in which each value appeared, depending on the options selected.
The user may also specify one file name (directory optional, no wildcards
allowed) to be explicitly excluded from the check. So, for example, the
file containing the complete collection of reference object may be excluded
and just the REFERENCE_KEY_IDS appearing in other catalog files displayed.
.\"=============
.SH OPTIONS
.TP
.B \-a
Check all files for attached PDS labels. Attached labels are identified
by having the "PDS_VERSION_ID =" line as the first non-blank, non-comment
line in the file. Also, files beginning with an "OBJECT = REFERENCE" line
are treated as catalog files.
By default only files ending in ".cat", ".CAT", ".lbl" and ".LBL" are 
checked for REFERENCE_KEY_ID values.
.TP
.B \-c
Include a count of the number of times each value was encountered in the
output listing.
.TP
.B \-l
Generate a long listing, including the names of the files in which each 
REFERENCE_KEY_ID was found.  File counts are automatically included.
.TP
.B \-r
Search subdirectories recursively (default behaviour is not to recurse).
.TP
.BR \-x <filename>
Do not search files called "<filename>". The file named may include a
directory specification, but this is not required. Wildcard characters
are NOT recognized.
