.\" Manual page for the 'split_ref' routine
.\"
.\" 21 September 2005, acr
.\"
.\"=============
.TH SPLIT_REF L "21 September 2005"
.SH NAME
split_ref \- split a catalog file of REFERENCE objects into separate files
for each reference
.\"=============
.SH SYNOPSIS
.LP
.B split_ref
.RB "[\| " \-P " \|] [\| " \-d 
.I output_dir
.RI " \|] [\| " reference_file " \|]"
.\"=============
.SH DESCRIPTION
.LP
.B split_ref
takes the input reference catalog file and splits it into separate files
for each reference.  The PDS_VERSION_ID and END lines may optionally be
included in each output file.  Carriage control will mimic the input file.
The file names will be formed by taking the REFERENCE_KEY_ID, converting
to lowercase and replacing all non-ISO filename characters with an 
underscore.  Strings of consecutive underscores are collapsed to a single
underscore.  Leading and trailing underscores are trimmed.
.LP
The separate reference files are written into the current working directory
by default, or an output directory my be specified via the 
.B \-o 
option.  This directory must exist prior to running the program.
.\"=============
.SH OPTIONS
.TP
.B \-P
Indicates that the output files should start with the line 
"PDS_VERSION_ID = PDS3" and end with an "END" statement.
Default behavior is to omit these lines in the output files.
.TP
.BR \-d output_dir
Directs the output to the named directory, which must exist prior to 
invoking this routine.  Default is to write the new files into the 
current working directory.
