.\" Manual page for the 'srchref' routine
.\"
.\" 30 Apr 2003, acr
.\"
.\"=============
.TH SRCHREF L "30 April 2003"
.SH NAME
srchref \- search the local 'allrefs.cat' file, or another reference catalog
file, for matching REFERENCE objects
.\"=============
.SH SYNOPSIS
.LP
.B srchref
.RB "[\| " \-t " \|] [\| " \-f
.I reference_file
.RB " \|] {\| " \-o
.I output_file
.RI " \|] " match_string
.\"=============
.SH DESCRIPTION
.LP
.B srchrefs
searches through the configured "allrefs.cat" file for REFERENCE objects
that match the input string.
The "allrefs.cat" file searched by default is in the configured 
directory (/n/sbnops01/lcltools/doc/allrefs.cat in the SBN local system),
and is hard-coded into the program.
The user may specify an alternate file to seach using the "\-f" option
and providing the full path to that file. The reference catalog file
must be in valid PDS format.
.LP
By default, only the REFERENCE_KEY_ID values are searched. The 
user may include the "\-t" option to search the REFERENCE_DESC
text instead.
All searches are case-insensitive.
Grep-style metacharacters are supported.
.LP
.B Srchrefs
returns the full REFERENCE objects for all matching references.
Output is to standard out unless redirected via the "\-o" option.
The references are NOT sorted on output or edited in any way (i.e.,
blank padding and carriage control are not altered from the original
reference catalog file).
.\"=============
.SH OPTIONS
.TP
.BR \-t
Search the REFERENCE_DESC text instead of the REFERENCE_KEY_ID value
.TP
.BR \-f ref_file
Search the indicated catalog file for references rather than the default
"allrefs.cat" file.
.TP
.BR \-o output_file
Directs the output to the named file. If this option is omitted, output 
goes to stdout.
.\"=============
.SH FILES
By default,
.B srchref 
searches the /n/sbnops01/lcltools/doc/allrefs.cat file.
This file is created by downloading the "allrefs.out" file from PDS
Central Node and formatting it with the local
.B fmt_allrefs
utility.
.B Srchref
locates reference objects by searching for the REFERENCE_KEY_ID line
and assuming that it is part of a REFERENCE description in the usual
SBN/PDS format (i.e., REFERENCE_KEY_ID first followed by REFERENCE_DESC).
Using anything but a reference catalog file in this format as the
target of the search will give unpredictable results.
Please, no wagering.
