.\" Manual page for the 'tbldelimit' routine
.\"
.\" 13 June 1995, a.c.raugh.
.\" 12 June 1996, acr: added installation notes
.\" 06 March 2003, acr: added '-f' switch
.\"
.TH TBLDELIMIT L "6 March 2003"
.SH NAME
tbldelimit \- routine for adding field delimiters to ASCII PDS TABLEs
.SH SYNOPSIS
.B tbldelimit \-f
.RB "[\|" label_file "\|]"
.\"------------------
.SH DESCRIPTION
.LP
.B tbldelimit
adds field delimiters to a PDS ASCII TABLE and adjusts the label information
accordingly.
Columns which are not identified in the DATA_TYPE value as either ASCII_REAL,
FLOAT (and old PDS Version 2 value no longer valid)
or ASCII_INTEGER are enclosed in double quotes (").
A comma is added between all columns.
These bytes are added to the original record, no intervening bytes are
deleted or changed.
In the output label, the RECORD_BYTES and ROW_BYTES values are changed to
relect the new data record length, and all column START_BYTE fields are
also changed to reflect the new column locations.  The delimiters are not
considered part of the columns, so the BYTES fields are not increased to
reflect the commas or any added quotes.
.LP
If no input file is specified, the label is read from 
the standard input 
.RB ( stdin ).
The output file names are derived from the 
.B ^TABLE
pointer definition.
The output data file name will be the same as the name in the pointer, 
with a suffix of "_dlm" added to the root filename.  
The output label file will have the same root name as the data file, but
with an extension of ".lbl".
So, for example, of the data file name in the label is "ASTNAMES.TAB", 
the output data file will be "ASTNAMES_DLM.TAB", and the corresponding
label file will be "ASTNAMES_DLM.LBL".
.\"------------------
.SH OPTIONS
.TP
.B \-f
Retains the same file name in the TABLE pointer as in the original 
label. Useful if the output file will replace the original.  Note,
however, that the data file must be renamed.
.\"------------------
.SH NOTES
.LP
.B tbldelimit
assumes a valid, well-behaved PDS label with only one object (the TABLE) 
beginning at the start of the data file.
More complex structures will confuse it.
.LP
This routine does
.B not
check for double-quotes (") within non-numeric feilds.
.LP
Since 
.B tbldelimit
preserves all the bytes of the original data file, results may not be as 
expected if the input label does not account for all non-blank bytes in 
the file.
.\"------------------
.SH INSTALLATION NOTES
.LP
.B tbldelimit
is contained in a single file as a Perl script.  To run it locally the first
line in the file must be edited to point to the local Perl interpretor.
