.\" Manual page for the PDS TABLE template generator, TBLTMPL
.\"
.\" 18 February 1998, a.c.raugh
.\"
.TH TBLTMP L "18 February 1998"
.SH NAME
tbltmpl \- Make a label template for an ASCII table data file
.SH SYNOPSIS
.B tbltmpl
.RB "[\| " \-t
.RB " \|] [\| " "ASCII_file" " [\| " " output_file " " \|] \|]"
.SH DESCRIPTION
.LP
.B tbltmpl
reads through an ASCII data file containing columnar data and produces a 
template for a PDS label containing a TABLE object describing the data.
The output template includes START_BYTE, BYTES, DATA_TYPE and FORMAT 
for each COLUMN as
determined by scanning the file, and provides blanks for the user to fill
in for the other required standard keywords.
The user may specify that only a TABLE object is to be output (rather than 
a full label template) by using the \-t option.
.LP
.B tbltmpl
is intended to provide a fast and generally
accurate way to determine the physical
parts of the COLUMN definitions, but the user will always have to edit the
output file.  The values filled in by the program will be in appropriate
PDS format, but the output of this program alone is NOT an acceptable PDS
label.  The user will have to add general file information as well as 
COLUMN names and definitions (at the very least).
.\"---------------------------------------------------------------------------
.SH OPTIONS
.TP
.BI \-t
Indicates that
.B tbltmpl
should produce a template only for the TABLE object definition.  In this case
the lines for general file parameters will be omitted.  The default is to 
produce a full label template.
.\"---------------------------------------------------------------------------
.SH NOTES
.LP
The program determines where columns start and end by looking for blanks
which occur in the same byte in EVERY record in the file.  Thus, if blanks
are not systematically used between all fields, 
.B tbltmpl
will not be able to find the column division and will write a COLUMN object
which runs over all adjacent values.  The user will then have to edit the 
template to correct the number of COLUMNs created.
.LP
The data type check performed by
.B tbltmpl
are very simple and may be fooled by odd-looking columns.  The program does
not check individual values for validity.  So, for example, a value like
"009-123" will pass as a valid integer because each of the individual characters
passes the character test.  
To perform value-checking on the output label, run the
.B atv
(ASCII Table Verifier) tool.
.LP
.B tbltmpl
cannot currently recognize fields with type DATE or TIME.  The field types
recognized are: ASCII_INTEGER, ASCII_REAL (both regular floating point and
scientific notation) and CHARACTER.
