.\" Manual page for the 'tblundel' routine
.\"
.\" 12 June 1996, acr: new routine derived from 'tbldelimit'
.\"
.TH TBLUNDEL L "12 June 1996"
.SH NAME
tblundel \- routine for removing field delimiters from ASCII PDS TABLEs
.SH SYNOPSIS
.B tblundel 
.RB "[\|" label_file "\|]"
.\"------------------
.SH DESCRIPTION
.LP
.B tblundel
removes field delimiters from a PDS ASCII TABLE and adjusts the 
label information accordingly.
Columns which are not identified in the DATA_TYPE value as either ASCII_REAL,
FLOAT (and old PDS Version 2 value no longer valid)
or ASCII_INTEGER are assumed to be enclosed in double quotes ("); 
a comma is assumed to be the first byte foloowing all columns except the last.
These bytes are deleted from each record.
In the output label, the RECORD_BYTES and ROW_BYTES values are changed to
relect the new data record length, and all column START_BYTE fields are
also changed to reflect the new column locations.  The delimiters are not
considered part of the columns, so the BYTES fields are not decreased to
reflect the deleted commas or quotes.
.LP
If no input file is specified, the label is read from 
the standard input 
.RB ( stdin ).
The output file names are derived from the 
.B ^TABLE
pointer definition.
The output data file name will be the same as the name in the pointer, 
with a suffix of "_undlm" added to the root filename.  
The output label file will have the same root name as the data file, but
with an extension of ".lbl".
So, for example, of the data file name in the label is "ASTNAMES.TAB", 
the output data file will be "ASTNAMES_UNDLM.TAB", and the corresponding
label file will be "ASTNAMES_UNDLM.LBL".
.\"------------------
.SH NOTES
.LP
.B tblundel
assumes a valid, well-behaved PDS label with only one object (the TABLE)
beginning at the start of the data file.
More complex structures will confuse it.
.LP
This routine does
.B not
check to see if the bytes removed contain the delimiter characters.
It assumes you know what you're doing.
Just in case you don't, the input files are never overwritten.
.\"------------------
.SH INSTALLATION NOTES
.LP
.B tblundel
is contained in a single file as a Perl script.  To run it locally the first
line in the file must be edited to point to the local Perl interpretor.
