.\" Manual page for the 'vc_files' routine
.\"
.\" 27 February 2008, A.C.Raugh.
.\"
.TH VC_FILES L "27 February 2008"
.SH NAME
vc_files \- check a PDS volume structure for compliant file names and
required directories and files.
.SH SYNOPSIS
.B vc_files
.RB "[\|" \-u "\|]"
.RB " [\|" \-o 
.IR output "\|]"
.RB " [\|" \-\-sbn\-ignore "\|] [\|" \-\-exclude
.IR pattern "\|] root_dir"
.\"------------------
.SH DESCRIPTION
.LP
.B vc_files
works through a PDS volume structure checking that all file names are
compliant and that the required files and root directories are present.
.LP
By default, all file and directory names are required to be in lower case.
The user can specify that the file/directory names are in upper case by
using the
.I \-u
option,
in which case all lowercase letters in file names will be flagged as 
errors.
Output is directed to stdout unless a file name is supplied via the 
.I \-o 
option.
.LP
The user can specify file patterns to ignore via the 
.I \-\-exclude
option, which may contain only a single pattern each time it is used, but may be
used multiple times.  The pattern will be matched against the complete 
file specificatio (i.e., directory path and file name).
.\"------------------
.SH OPTIONS
.TP
.B \-u
Require files and directories to be in upper case.  Lowercase is the default.
.TP
.BI \-o " output "
Direct output to the named file.  Default is to direct output to stdout.
.TP
.BI \-\-exclude " pattern " " or \-x" " pattern"
Exclude all files/directories matching the given pattern.  This should be
given as a regular expression pattern, with the appropriate escape codes 
before literal special characters as needed.
.TP
.B \-\-sbn\-ignore
Ignore SBN archive support directories and files.  This option will pre-load 
the exlcusion array with the names of files and directories used in the SBN
archive RAID farm to support web distribution.
