.\" Manual page for the 'vc_index' routine
.\"
.\" 14 March 2008, A.C.Raugh.
.\"
.TH VC_INDEX L "14 March 2008"
.SH NAME
vc_index \- check a PDS volume structure to make sure the index label
contains all the required information and all data labels are properly
accounted for in the index table
.SH SYNOPSIS
.B vc_index
.RB "[\|" \-o 
.IR output "\|]"
.RB " [\|" \-\-sbn\-ignore "\|] [\|" \-\-exclude
.IR pattern "\|]  root_dir"
.\"------------------
.SH DESCRIPTION
.LP
.B vc_index
performs three distinct checks. 
First, it reads the volume index label file ("index.lbl") and checks
that it contains all the required fields as either keywords or colums.
Then it reads the index table file ("index.tab") and makes sure that
every file referenced in the table actually exists in the volume.
Finally, it searches through the volume data directory(s) and makes sure
that every file in a data directory that contains a PDS label is also
listed in the index table file.
.LP
Options are provided to direct output to a named file, to allow the user
to specify exclusion patterns, and to ignore the files and directories
associated with the SBN online archive support.
.\"------------------
.SH OPTIONS
.TP
.BI \-o " output"
Direct output to the named file.  Default is to direct output to stdout.
.TP
.BI \-\-exclude " pattern" " or \-x" " pattern"
Exclude files and directories matching the given regular expression.
Any match anywhere in the path or file name will cause the file to be 
excluded.
This option should be repeated for each pattern to be excluded.
.TP
.B \-\-sbn\-ignore
Adds the list of SBN archive RAID support files and directories to the 
exclusion list.
.\"------------------
.SH USAGE NOTES
.LP
Because PDS requires that all file and directory names be case-insensitive,
the "does it exist" check on the index table entries
is done up to three times: once in the case listed in the table file; 
once in forced lowercase; and once in forced upper case.
All case is forced to lower for the inverse check on the data directories.
Consequently, case in error messages may not match the actual case 
used in either the directory tree or the index file.  
Notwithstanding, case differences will NOT be the cause of the flagged 
error.
.LP
A directory is considered a "data directory" if it is not one of the 
directory names reserved for other purposes by the PDS Standards 
Reference.
All files in a data directory that contain PDS labels are required to
be listed in the volume index file.
.LP
Choose your exclude patterns carefully to avoid accidentally excluding
valid files and directories.  If your pattern contains characters that
are significant to a regular expression interpretor, like '/',
escape them with the backslash ('\\') character.
