.\" Manual page for the 'findtab' routine
.\"
.\" 25 Feb 2008, A.C.Raugh.
.\" 07 Mar 2008, ACR: Added Usage Notes
.\" 06 May 2008, ACR: Added exclusion options
.\"
.TH VC_TEXT L "07 March 2008"
.SH NAME
vc_text \- Volume Check: Text; check all text files for basic PDS 
ASCII content constraint compliance
.SH SYNOPSIS
.B vc_text
.RB " [\|" \-x "|" \-\-exclude 
.IR " pattern" "\|]"
.RB " [\|" \-\-sbn\-ignore "\|]"
.RB " [\|" \-o 
.IR output "\|] " root_dir
.\"------------------
.SH DESCRIPTION
.LP
.B vc_text
looks at all the text files in a PDS volume tree and checks them for
basic PDS text file requirements, including line delimiters and character
constraints.
Problems found are listed by file in the output, which can be redirected
to a file via the 
.B \-o
option.
The 
.BR \-x " (or " \-\-exclude ")"
option is provided to direct the program to ignore files matching the
given pattern, and may be repeated as needed for multiple patterns.
.LP
Text files are identified by their extensions.  
All text files must have CR/LF delimiters and must contain only printable
7-bit ASCII characters. 
PDS ODL files (detached labels, catalog and format files) must also
have fixed-length records that are not longer than 80 bytes.
The PDS ODL extensions are ".cat", ".lbl" and ".fmt" (plus their uppercase
equivalents). 
The text file extensions are ".txt", ".tab", ".htm", ".csv" and ".asc"
(plus uppercase equivalents).
The
.I scanlen
and
.I chkascii
routines from the local toolset are invoked to check records and characters,
respectively.
.\"----------------
.SH OPTIONS
.TP
.BI \-x " or " \-\-exclude " pattern"
Ignore any files or directories that match the given pattern.  If the pattern
matches any part of the full file specification, it will be ignored - so 
choose patterns carefully.  This option may be repeated for each pattern to 
be ignored.
.TP
.B \-\-sbn\-ignore
This is a shortcut for excluding all the support files and directories in the
SBN online archives.
.TP
.BI \-o " output "
Send output to the named file.  If this option is not present the output
is sent to STDOUT.
.\"----------------
.SH USAGE NOTES
.LP
Remember that this routine reads and checks every character in every text 
file.  This can take a LONG time in data sets that contain a lot of 
ASCII tables.
.LP
Also note that it is possible to short-circuit the checks in this routine
by using an exclusion pattern that matches files that 
.I should
be ASCII-compliant, so choose your patterns wisely.  If you are using this
routine to check data prior to submission to the PDS, make sure you are not
accidentally excluding files that the receiving PDS node will be checking
for compliance.
